List notifications by org

View as MarkdownOpen in Claude
Return a list of notifications for an organization. Use filters to limit results.

Path parameters

orgIdintegerRequired
The numeric identifier for organization, assigned by Payabli.

Query parameters

fromRecordintegerOptionalDefaults to 0
The number of records to skip before starting to collect the result set.
limitRecordintegerOptionalDefaults to 20

Max number of records to return for the query. Use 0 or negative value to return all records.

parametersmap from strings to nullable stringsOptional
Collection of field names, conditions, and values used to filter the query <Info> **You must remove `parameters=` from the request before you send it, otherwise Payabli will ignore the filters.** Because of a technical limitation, you can't make a request that includes filters from the API console on this page. The response won't be filtered. Instead, copy the request, remove `parameters=` and run the request in a different client. For example: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?parameters=totalAmount(gt)=1000&limitRecord=20 should become: --url https://api-sandbox.payabli.com/api/Query/transactions/org/236?totalAmount(gt)=1000&limitRecord=20 </Info> See [Filters and Conditions Reference](/developers/developer-guides/pay-ops-reporting-engine-overview#filters-and-conditions-reference) for help. List of field names accepted: - `frequency` (in, nin,ne, eq) - `method` (in, nin, eq, ne) - `event` (in, nin, eq, ne) - `target` (ct, nct, eq, ne) - `status` (eq, ne) List of comparison accepted - enclosed between parentheses: - eq or empty => equal - gt => greater than - ge => greater or equal - lt => less than - le => less or equal - ne => not equal - ct => contains - nct => not contains - in => inside array - nin => not inside array List of parameters accepted: - limitRecord : max number of records for query (default="20", "0" or negative value for all) - fromRecord : initial record in query Example: totalAmount(gt)=20 return all records with totalAmount greater than 20.00
sortBystringOptional

The field name to use for sorting results. Use desc(field_name) to sort descending by field_name, and use asc(field_name) to sort ascending by field_name.

Response

Success
Recordslist of objectsOptional
SummaryobjectOptional

Errors

400
Bad Request Error
401
Unauthorized Error
500
Internal Server Error
503
Service Unavailable Error